# Class AbstractSignatureTypeProvider

java.lang.Object
org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

All Implemented Interfaces:
  `SignatureTypeProvider`

Direct Known Subclasses:
  `DefaultSignatureTypeProvider`

public abstract class AbstractSignatureTypeProvider extends Object implements SignatureTypeProvider
Convenience base class for `SignatureTypeProvider` implementations.

## Constructor Summary

Constructors
Constructor
Description
`AbstractSignatureTypeProvider()`

## Method Summary

Modifier and Type
Method
Description
`SignatureType`
`getDefaultType()`
`SignatureType`
`getTypeForExtension(String extension)`
`boolean`
`hasTypeForExtension(String extension)`
`protected void`
`register(SignatureType type)`
`void`
`setDefaultType(String defaultTypeExtension)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSignatureTypeProvider

public AbstractSignatureTypeProvider()

## Method Details

### getDefaultType

public SignatureType getDefaultType()

Specified by:
  `getDefaultType` in interface `SignatureTypeProvider`

### setDefaultType

public void setDefaultType(String defaultTypeExtension)

Specified by:
  `setDefaultType` in interface `SignatureTypeProvider`

### hasTypeForExtension

public boolean hasTypeForExtension(String extension)

Specified by:
  `hasTypeForExtension` in interface `SignatureTypeProvider`

### getTypeForExtension

public SignatureType getTypeForExtension(String extension)

Specified by:
  `getTypeForExtension` in interface `SignatureTypeProvider`

### register

protected void register(SignatureType type)